Subject: Re: [bug#67128] Use CDN instead of mirrors for Apache httpd

From: Greg Hogan <[email-masked]>
Date: Tue, 14 Nov 2023 08:57:51 -0500

On Sun, Nov 12, 2023 at 8:39 AM glaz--- via Guix-patches via
<[email-masked]> wrote:
>
> Hello fellow guixers.
>
> I've found that I cannot build httpd package because of download issues.
>
> downloading from
> http://www.eu.apache.org/dist/httpd/httpd-2.4.58.tar.bz2 ...
>
> sha256 hash mismatch for
> /gnu/store/sil2xmw01qmyygdbhvrsvyvmaviha2dy-httpd-2.4.58.tar.bz2:
>    expected hash: 1id45r2ccgkbjm9i998997ch32lvicpyynyx8x6aa4420wmdf5ps
>    actual hash:   0mdqa9w1p6cmli6976v4wi0sw9r4p5prkj7lzfd1877wk11c9c73
>
> On the other hand, Apache web site states clearly that it doesn't use
> mirror system anymore:
> "As of the third quarter of 2021, the ASF stopped using its download
> mirror system. It is now using a global content distribution network
> (CDN)."
> https://www.apache.org/mirrors.html
>
> So I've made a patch that disables Apache mirrors for [email-masked] and
> httpd/[email-masked] packages.
>
> Dmitry Nikolaev

This looks to duplicate #63068, which instead fixes the list of
mirrors for all packages. Though, as noted in that thread, the linked
documentation lists downloads.apache.org rather than dlcdn.apache.org